/* eslint-disable */ 
<template>
  <div class="content">
    <b-container fluid class="m-0 p-0">
      <b-row align-v="center">
        <b-col cols="8">
          <h4>{{ selected }}</h4>
        </b-col>
        <b-col cols="4">
          <b-form>
            <b-form-group>
              <b-form-select id="sim-select" v-model="selected" :options="options"></b-form-select>
            </b-form-group>
          </b-form>
        </b-col>
      </b-row>
    </b-container>
    <hr class="mt-0" />
    <SimpleOneDOF></SimpleOneDOF>
    <!-- <div class="text-center">
      <b-spinner variant="primary" label="Spinning"></b-spinner>
    </div>-->
    <b-tooltip
      target="sim-select"
      triggers="hover"
      placement="left"
    >Select from a variety of simulation types.</b-tooltip>
  </div>
</template>

<script>
import SimpleOneDOF from "./SimpleOneDOF";
export default {
  name: "main",
  components: {
    SimpleOneDOF
  },
  data() {
    return {
      selected: "SIMPLE 1-DOF",
      options: [
        { value: "3-DOF", text: "3-DOF" },
        { value: "SIMPLE 1-DOF", text: "Simple 1-DOF" }
      ]
    };
  }
};
</script>

<style>
.content {
  margin: 25px;
  margin-top: 5px;
}
h3 {
  padding: 0px;
  margin: 0px;
}
</style>